source: squid-ssl/trunk/fuentes/src/esi/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 40.9 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# src/esi/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92am__append_1 = $(INCLTDL)
93am__append_2 = \
94        ExpatParser.cc \
95        ExpatParser.h
96
97am__append_3 = \
98        Libxml2Parser.cc \
99        Libxml2Parser.h
100
101subdir = src/esi
102ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
103am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
104        $(top_srcdir)/acinclude/init.m4 \
105        $(top_srcdir)/acinclude/squid-util.m4 \
106        $(top_srcdir)/acinclude/compiler-flags.m4 \
107        $(top_srcdir)/acinclude/os-deps.m4 \
108        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
109        $(top_srcdir)/acinclude/pkg.m4 \
110        $(top_srcdir)/acinclude/lib-checks.m4 \
111        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
112        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
113        $(top_srcdir)/helpers/basic_auth/modules.m4 \
114        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
123        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
124        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
125        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
127        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
128        $(top_srcdir)/helpers/digest_auth/modules.m4 \
129        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
130        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
131        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
132        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
133        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
135        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
136        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
137        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
138        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
139        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
140        $(top_srcdir)/helpers/log_daemon/modules.m4 \
141        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
142        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
143        $(top_srcdir)/helpers/external_acl/modules.m4 \
144        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
145        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
148        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
149        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
150        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
151        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
152        $(top_srcdir)/helpers/external_acl/session/required.m4 \
153        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
154        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
155        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
156        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
157        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
158        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
159        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
160        $(top_srcdir)/configure.ac
161am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
162        $(ACLOCAL_M4)
163DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
164mkinstalldirs = $(install_sh) -d
165CONFIG_HEADER = $(top_builddir)/include/autoconf.h
166CONFIG_CLEAN_FILES =
167CONFIG_CLEAN_VPATH_FILES =
168LTLIBRARIES = $(noinst_LTLIBRARIES)
169libesi_la_LIBADD =
170am__libesi_la_SOURCES_DIST = Assign.cc Assign.h Attempt.h Context.cc \
171        Context.h CustomParser.cc CustomParser.h ExpatParser.cc \
172        ExpatParser.h Libxml2Parser.cc Libxml2Parser.h Element.h \
173        ElementList.h Esi.cc Esi.h Except.h Expression.cc Expression.h \
174        Include.cc Include.h Literal.h Module.cc Module.h Parser.cc \
175        Parser.h Segment.cc Segment.h Sequence.cc Sequence.h Var.h \
176        VarState.cc VarState.h
177am__objects_1 = ExpatParser.lo
178am__objects_2 = Libxml2Parser.lo
179am__objects_3 = CustomParser.lo $(am__objects_1) $(am__objects_2)
180am_libesi_la_OBJECTS = Assign.lo Context.lo $(am__objects_3) Esi.lo \
181        Expression.lo Include.lo Module.lo Parser.lo Segment.lo \
182        Sequence.lo VarState.lo
183libesi_la_OBJECTS = $(am_libesi_la_OBJECTS)
184AM_V_lt = $(am__v_lt_$(V))
185am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
186am__v_lt_0 = --silent
187am__v_lt_1 = 
188AM_V_P = $(am__v_P_$(V))
189am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
190am__v_P_0 = false
191am__v_P_1 = :
192AM_V_GEN = $(am__v_GEN_$(V))
193am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
194am__v_GEN_0 = @echo "  GEN     " $@;
195am__v_GEN_1 = 
196AM_V_at = $(am__v_at_$(V))
197am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
198am__v_at_0 = @
199am__v_at_1 = 
200DEFAULT_INCLUDES = 
201depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
202am__depfiles_maybe = depfiles
203am__mv = mv -f
204CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
205        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
206LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
207        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
208        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
209        $(AM_CXXFLAGS) $(CXXFLAGS)
210AM_V_CXX = $(am__v_CXX_$(V))
211am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
212am__v_CXX_0 = @echo "  CXX     " $@;
213am__v_CXX_1 = 
214CXXLD = $(CXX)
215CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
216        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
217        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
218AM_V_CXXLD = $(am__v_CXXLD_$(V))
219am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
220am__v_CXXLD_0 = @echo "  CXXLD   " $@;
221am__v_CXXLD_1 = 
222COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
223        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
224LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
225        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
226        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
227        $(AM_CFLAGS) $(CFLAGS)
228AM_V_CC = $(am__v_CC_$(V))
229am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
230am__v_CC_0 = @echo "  CC      " $@;
231am__v_CC_1 = 
232CCLD = $(CC)
233LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
234        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
235        $(AM_LDFLAGS) $(LDFLAGS) -o $@
236AM_V_CCLD = $(am__v_CCLD_$(V))
237am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
238am__v_CCLD_0 = @echo "  CCLD    " $@;
239am__v_CCLD_1 = 
240SOURCES = $(libesi_la_SOURCES)
241DIST_SOURCES = $(am__libesi_la_SOURCES_DIST)
242am__can_run_installinfo = \
243  case $$AM_UPDATE_INFO_DIR in \
244    n|no|NO) false;; \
245    *) (install-info --version) >/dev/null 2>&1;; \
246  esac
247am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
248# Read a list of newline-separated strings from the standard input,
249# and print each of them once, without duplicates.  Input order is
250# *not* preserved.
251am__uniquify_input = $(AWK) '\
252  BEGIN { nonempty = 0; } \
253  { items[$$0] = 1; nonempty = 1; } \
254  END { if (nonempty) { for (i in items) print i; }; } \
255'
256# Make sure the list of sources is unique.  This is necessary because,
257# e.g., the same source file might be shared among _SOURCES variables
258# for different programs/libraries.
259am__define_uniq_tagged_files = \
260  list='$(am__tagged_files)'; \
261  unique=`for i in $$list; do \
262    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
263  done | $(am__uniquify_input)`
264ETAGS = etags
265CTAGS = ctags
266am__tty_colors_dummy = \
267  mgn= red= grn= lgn= blu= brg= std=; \
268  am__color_tests=no
269am__tty_colors = { \
270  $(am__tty_colors_dummy); \
271  if test "X$(AM_COLOR_TESTS)" = Xno; then \
272    am__color_tests=no; \
273  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
274    am__color_tests=yes; \
275  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
276    am__color_tests=yes; \
277  fi; \
278  if test $$am__color_tests = yes; then \
279    red='[0;31m'; \
280    grn='[0;32m'; \
281    lgn='[1;32m'; \
282    blu='[1;34m'; \
283    mgn='[0;35m'; \
284    brg='[1m'; \
285    std='[m'; \
286  fi; \
287}
288am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
289am__vpath_adj = case $$p in \
290    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
291    *) f=$$p;; \
292  esac;
293am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
294am__install_max = 40
295am__nobase_strip_setup = \
296  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
297am__nobase_strip = \
298  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
299am__nobase_list = $(am__nobase_strip_setup); \
300  for p in $$list; do echo "$$p $$p"; done | \
301  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
302  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
303    if (++n[$$2] == $(am__install_max)) \
304      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
305    END { for (dir in files) print dir, files[dir] }'
306am__base_list = \
307  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
308  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
309am__uninstall_files_from_dir = { \
310  test -z "$$files" \
311    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
312    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
313         $(am__cd) "$$dir" && rm -f $$files; }; \
314  }
315am__recheck_rx = ^[     ]*:recheck:[    ]*
316am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
317am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
318# A command that, given a newline-separated list of test names on the
319# standard input, print the name of the tests that are to be re-run
320# upon "make recheck".
321am__list_recheck_tests = $(AWK) '{ \
322  recheck = 1; \
323  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
324    { \
325      if (rc < 0) \
326        { \
327          if ((getline line2 < ($$0 ".log")) < 0) \
328            recheck = 0; \
329          break; \
330        } \
331      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
332        { \
333          recheck = 0; \
334          break; \
335        } \
336      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
337        { \
338          break; \
339        } \
340    }; \
341  if (recheck) \
342    print $$0; \
343  close ($$0 ".trs"); \
344  close ($$0 ".log"); \
345}'
346# A command that, given a newline-separated list of test names on the
347# standard input, create the global log from their .trs and .log files.
348am__create_global_log = $(AWK) ' \
349function fatal(msg) \
350{ \
351  print "fatal: making $@: " msg | "cat >&2"; \
352  exit 1; \
353} \
354function rst_section(header) \
355{ \
356  print header; \
357  len = length(header); \
358  for (i = 1; i <= len; i = i + 1) \
359    printf "="; \
360  printf "\n\n"; \
361} \
362{ \
363  copy_in_global_log = 1; \
364  global_test_result = "RUN"; \
365  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
366    { \
367      if (rc < 0) \
368         fatal("failed to read from " $$0 ".trs"); \
369      if (line ~ /$(am__global_test_result_rx)/) \
370        { \
371          sub("$(am__global_test_result_rx)", "", line); \
372          sub("[        ]*$$", "", line); \
373          global_test_result = line; \
374        } \
375      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
376        copy_in_global_log = 0; \
377    }; \
378  if (copy_in_global_log) \
379    { \
380      rst_section(global_test_result ": " $$0); \
381      while ((rc = (getline line < ($$0 ".log"))) != 0) \
382      { \
383        if (rc < 0) \
384          fatal("failed to read from " $$0 ".log"); \
385        print line; \
386      }; \
387      printf "\n"; \
388    }; \
389  close ($$0 ".trs"); \
390  close ($$0 ".log"); \
391}'
392# Restructured Text title.
393am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
394# Solaris 10 'make', and several other traditional 'make' implementations,
395# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
396# by disabling -e (using the XSI extension "set +e") if it's set.
397am__sh_e_setup = case $$- in *e*) set +e;; esac
398# Default flags passed to test drivers.
399am__common_driver_flags = \
400  --color-tests "$$am__color_tests" \
401  --enable-hard-errors "$$am__enable_hard_errors" \
402  --expect-failure "$$am__expect_failure"
403# To be inserted before the command running the test.  Creates the
404# directory for the log if needed.  Stores in $dir the directory
405# containing $f, in $tst the test, in $log the log.  Executes the
406# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
407# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
408# will run the test scripts (or their associated LOG_COMPILER, if
409# thy have one).
410am__check_pre = \
411$(am__sh_e_setup);                                      \
412$(am__vpath_adj_setup) $(am__vpath_adj)                 \
413$(am__tty_colors);                                      \
414srcdir=$(srcdir); export srcdir;                        \
415case "$@" in                                            \
416  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
417    *) am__odir=.;;                                     \
418esac;                                                   \
419test "x$$am__odir" = x"." || test -d "$$am__odir"       \
420  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
421if test -f "./$$f"; then dir=./;                        \
422elif test -f "$$f"; then dir=;                          \
423else dir="$(srcdir)/"; fi;                              \
424tst=$$dir$$f; log='$@';                                 \
425if test -n '$(DISABLE_HARD_ERRORS)'; then               \
426  am__enable_hard_errors=no;                            \
427else                                                    \
428  am__enable_hard_errors=yes;                           \
429fi;                                                     \
430case " $(XFAIL_TESTS) " in                              \
431  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
432    am__expect_failure=yes;;                            \
433  *)                                                    \
434    am__expect_failure=no;;                             \
435esac;                                                   \
436$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
437# A shell command to get the names of the tests scripts with any registered
438# extension removed (i.e., equivalently, the names of the test logs, with
439# the '.log' extension removed).  The result is saved in the shell variable
440# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
441# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
442# since that might cause problem with VPATH rewrites for suffix-less tests.
443# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
444am__set_TESTS_bases = \
445  bases='$(TEST_LOGS)'; \
446  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
447  bases=`echo $$bases`
448RECHECK_LOGS = $(TEST_LOGS)
449AM_RECURSIVE_TARGETS = check recheck
450TEST_SUITE_LOG = test-suite.log
451TEST_EXTENSIONS =  .test
452LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
453LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
454am__set_b = \
455  case '$@' in \
456    */*) \
457      case '$*' in \
458        */*) b='$*';; \
459          *) b=`echo '$@' | sed 's/\.log$$//'`; \
460       esac;; \
461    *) \
462      b='$*';; \
463  esac
464am__test_logs1 = $(TESTS:=.log)
465am__test_logs2 = $(am__test_logs1:.log=.log)
466TEST_LOGS = $(am__test_logs2:.test.log=.log)
467TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
468TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
469        $(TEST_LOG_FLAGS)
470am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
471        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
472        $(top_srcdir)/src/TestHeaders.am
473DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
474ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
475ADAPTATION_LIBS = adaptation/libadaptation.la
476ALLOCA =
477AMTAR = $${TAR-tar}
478AM_DEFAULT_VERBOSITY = 1
479AR = /usr/bin/ar
480AR_R = /usr/bin/ar r
481AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
482AUTH_MODULES =  basic digest negotiate ntlm
483AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
484AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
485AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
486AWK = gawk
487BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
488BUILDCXX = g++
489BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
490BZR =
491CACHE_EFFECTIVE_USER = proxy
492CC = gcc
493CCDEPMODE = depmode=none
494CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
495CGIEXT = .cgi
496CHMOD = /bin/chmod
497CPP = gcc -E
498CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
499CPPUNITCONFIG = /usr/bin/cppunit-config
500CRYPTLIB = -lcrypt
501CXX = g++
502CXXCPP = g++ -E
503CXXDEPMODE = depmode=none
504CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
505CYGPATH_W = echo
506DEFAULT_HOSTS = /etc/hosts
507DEFAULT_LOG_DIR = /var/log/squid-ssl
508DEFAULT_PID_FILE = /var/run/squid-ssl.pid
509DEFAULT_SWAP_DIR = /var/spool/squid-ssl
510DEFS = -DHAVE_CONFIG_H
511DEPDIR = .deps
512DIGEST_AUTH_HELPERS =  file LDAP
513DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
514DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
515DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
516DISK_OS_LIBS =  -lrt -lpthread
517DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
518DLLTOOL = false
519DSYMUTIL =
520DUMPBIN =
521ECAP_LIBS = ecap/libsquid-ecap.la
522ECHO_C =
523ECHO_N = -n
524ECHO_T =
525EGREP = /bin/egrep
526EPOLL_LIBS =
527EUILIB =
528EXEEXT =
529EXPATLIB = -lexpat
530EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
531EXT_LIBECAP_CFLAGS =
532EXT_LIBECAP_LIBS = -lecap
533FALSE = /bin/false
534FGREP = /bin/fgrep
535GREP = grep
536HAVE_CXX11 = 1
537ICAP_LIBS = icap/libicap.la
538INCLTDL =
539INSTALL = /usr/bin/install -c
540INSTALL_DATA = ${INSTALL} -m 644
541INSTALL_PROGRAM = ${INSTALL}
542INSTALL_SCRIPT = ${INSTALL}
543INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
544KRB5INCS = -isystem /usr/include/mit-krb5
545KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
546LBERLIB = -llber
547LD = /usr/bin/ld -m elf_x86_64
548LDAPLIB = -lldap
549LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
550LIBADD_DL = -ldl
551LIBADD_DLD_LINK =
552LIBADD_DLOPEN = -ldl
553LIBADD_SHL_LOAD =
554LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
555LIBGNUTLS_LIBS = -lgnutls
556LIBLTDL = -lltdl
557LIBOBJS =
558LIBOPENSSL_CFLAGS =
559LIBOPENSSL_LIBS = -lssl -lcrypto
560LIBS =
561LIBSASL = -lsasl2
562LIBTOOL = $(SHELL) $(top_builddir)/libtool
563LIB_DB = -ldb
564LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
565LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
566LINUXDOC = /bin/false
567LIPO =
568LN = /bin/ln
569LN_S = ln -s
570LOG_DAEMON_HELPERS =  DB file
571LTDLDEPS =
572LTDLINCL =
573LTDLOPEN = libltdl
574LTLIBOBJS =
575LT_ARGZ_H =
576LT_CONFIG_H = include/autoconf.h
577LT_DLLOADERS =  libltdl/dlopen.la
578LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
579LT_SYS_LIBRARY_PATH =
580MAINT = #
581MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
582MANIFEST_TOOL = :
583MINGW_LIBS =
584MKDIR = /bin/mkdir
585MKDIR_P = /bin/mkdir -p
586MV = /bin/mv
587NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
588NETTLELIB =  -lnettle
589NM = /usr/bin/nm -B
590NMEDIT =
591NTLM_AUTH_HELPERS =  fake smb_lm
592OBJDUMP = objdump
593OBJEXT = o
594OTOOL =
595OTOOL64 =
596PACKAGE = squid
597PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
598PACKAGE_NAME = Squid Web Proxy
599PACKAGE_STRING = Squid Web Proxy 3.5.12
600PACKAGE_TARNAME = squid
601PACKAGE_URL =
602PACKAGE_VERSION = 3.5.12
603PATH_SEPARATOR = :
604PERL = /usr/bin/perl
605PKG_CONFIG = /usr/bin/pkg-config
606PKG_CONFIG_LIBDIR =
607PKG_CONFIG_PATH =
608PO2HTML = off
609PO2TEXT = off
610POD2MAN = /usr/bin/pod2man
611RANLIB = ranlib
612REGEXLIB =
613REPL_LIBS = liblru.a libheap.a
614REPL_OBJS = repl/liblru.a repl/libheap.a
615REPL_POLICIES = lru heap
616RM = /bin/rm -f
617SED = /bin/sed
618SET_MAKE =
619SH = /bin/sh
620SHELL = /bin/bash
621SMBCLIENT = /usr/bin/smbclient
622SNMPLIB = ../lib/snmplib/libsnmplib.la
623SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
624SQUID_CPPUNIT_INC =
625SQUID_CPPUNIT_LA =
626SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
627SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
628SSLLIB =  -lssl -lcrypto  -lgnutls
629STOREID_REWRITE_HELPERS =  file
630STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
631STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
632STORE_TESTS =
633STRIP = strip
634TR = /usr/bin/tr
635TRUE = /bin/true
636URL_REWRITE_HELPERS =  fake
637VERSION = 3.5.12
638WBINFO =
639WIN32_PSAPI =
640XMLLIB = -lxml2
641XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
642XTRA_OBJS =
643abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/esi
644abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/esi
645abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
646abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
647ac_ct_AR =
648ac_ct_CC = gcc
649ac_ct_CXX = g++
650ac_ct_DUMPBIN =
651am__include = include
652am__leading_dot = .
653am__quote =
654am__tar = tar --format=ustar -chf - "$$tardir"
655am__untar = tar -xf -
656bindir = ${exec_prefix}/bin
657build = x86_64-pc-linux-gnu
658build_alias = x86_64-linux-gnu
659build_cpu = x86_64
660build_os = linux-gnu
661build_vendor = pc
662builddir = .
663datadir = /usr/share/squid-ssl
664datarootdir = ${prefix}/share
665docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
666dvidir = ${docdir}
667exec_prefix = ${prefix}
668host = x86_64-pc-linux-gnu
669host_alias =
670host_cpu = x86_64
671host_os = linux-gnu
672host_vendor = pc
673htmldir = ${docdir}
674includedir = ${prefix}/include
675infodir = ${prefix}/share/info
676install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
677krb5_config =
678libdir = ${exec_prefix}/lib
679libexecdir = /usr/lib/squid-ssl
680localedir = ${datarootdir}/locale
681localstatedir = /var
682ltdl_LIBOBJS =  lt__strl.o
683ltdl_LTLIBOBJS =  lt__strl.lo
684mandir = /usr/share/man
685mkdir_p = $(MKDIR_P)
686oldincludedir = /usr/include
687pdfdir = ${docdir}
688prefix = /usr
689program_transform_name = s&$$&-ssl&
690psdir = ${docdir}
691runstatedir = ${localstatedir}/run
692sbindir = ${exec_prefix}/sbin
693sharedstatedir = ${prefix}/com
694srcdir = .
695subdirs =  libltdl
696sys_symbol_underscore = no
697sysconfdir = /etc/squid-ssl
698target_alias =
699top_build_prefix = ../../
700top_builddir = ../..
701top_srcdir = ../..
702AM_CFLAGS = $(SQUID_CFLAGS)
703AM_CXXFLAGS = $(SQUID_CXXFLAGS)
704CLEANFILES = testHeaders
705TESTS = testHeaders
706AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
707        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
708        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
709        $(am__append_1)
710LIBPROFILER =
711#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
712COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
713subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
714noinst_LTLIBRARIES = libesi.la
715ESI_PARSER_SOURCES = CustomParser.cc CustomParser.h $(am__append_2) \
716        $(am__append_3)
717libesi_la_SOURCES = \
718        Assign.cc \
719        Assign.h \
720        Attempt.h \
721        Context.cc \
722        Context.h \
723        $(ESI_PARSER_SOURCES) \
724        Element.h \
725        ElementList.h \
726        Esi.cc \
727        Esi.h \
728        Except.h \
729        Expression.cc \
730        Expression.h \
731        Include.cc \
732        Include.h \
733        Literal.h \
734        Module.cc \
735        Module.h \
736        Parser.cc \
737        Parser.h \
738        Segment.cc \
739        Segment.h \
740        Sequence.cc \
741        Sequence.h \
742        Var.h \
743        VarState.cc \
744        VarState.h
745
746all: all-am
747
748.SUFFIXES:
749.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
750$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
751        @for dep in $?; do \
752          case '$(am__configure_deps)' in \
753            *$$dep*) \
754              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
755                && { if test -f $@; then exit 0; else break; fi; }; \
756              exit 1;; \
757          esac; \
758        done; \
759        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/esi/Makefile'; \
760        $(am__cd) $(top_srcdir) && \
761          $(AUTOMAKE) --gnu src/esi/Makefile
762Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
763        @case '$?' in \
764          *config.status*) \
765            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
766          *) \
767            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
768            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
769        esac;
770$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
771
772$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
773        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
774
775$(top_srcdir)/configure: # $(am__configure_deps)
776        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
777$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
778        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
779$(am__aclocal_m4_deps):
780
781clean-noinstLTLIBRARIES:
782        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
783        @list='$(noinst_LTLIBRARIES)'; \
784        locs=`for p in $$list; do echo $$p; done | \
785              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
786              sort -u`; \
787        test -z "$$locs" || { \
788          echo rm -f $${locs}; \
789          rm -f $${locs}; \
790        }
791
792libesi.la: $(libesi_la_OBJECTS) $(libesi_la_DEPENDENCIES) $(EXTRA_libesi_la_DEPENDENCIES)
793        $(AM_V_CXXLD)$(CXXLINK)  $(libesi_la_OBJECTS) $(libesi_la_LIBADD) $(LIBS)
794
795clean-checkPROGRAMS:
796        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
797        echo " rm -f" $$list; \
798        rm -f $$list || exit $$?; \
799        test -n "$(EXEEXT)" || exit 0; \
800        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
801        echo " rm -f" $$list; \
802        rm -f $$list
803
804mostlyclean-compile:
805        -rm -f *.$(OBJEXT)
806
807distclean-compile:
808        -rm -f *.tab.c
809
810#include ./$(DEPDIR)/Assign.Plo
811#include ./$(DEPDIR)/Context.Plo
812#include ./$(DEPDIR)/CustomParser.Plo
813#include ./$(DEPDIR)/Esi.Plo
814#include ./$(DEPDIR)/ExpatParser.Plo
815#include ./$(DEPDIR)/Expression.Plo
816#include ./$(DEPDIR)/Include.Plo
817#include ./$(DEPDIR)/Libxml2Parser.Plo
818#include ./$(DEPDIR)/Module.Plo
819#include ./$(DEPDIR)/Parser.Plo
820#include ./$(DEPDIR)/Segment.Plo
821#include ./$(DEPDIR)/Sequence.Plo
822#include ./$(DEPDIR)/VarState.Plo
823
824.cc.o:
825#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
826#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
827#       $(am__mv) $$depbase.Tpo $$depbase.Po
828#       $(AM_V_CXX)source='$<' object='$@' libtool=no
829#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
830        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
831
832.cc.obj:
833#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
834#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
835#       $(am__mv) $$depbase.Tpo $$depbase.Po
836#       $(AM_V_CXX)source='$<' object='$@' libtool=no
837#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
838        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
839
840.cc.lo:
841#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
842#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
843#       $(am__mv) $$depbase.Tpo $$depbase.Plo
844#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
845#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
846        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
847
848mostlyclean-libtool:
849        -rm -f *.lo
850
851clean-libtool:
852        -rm -rf .libs _libs
853
854ID: $(am__tagged_files)
855        $(am__define_uniq_tagged_files); mkid -fID $$unique
856tags: tags-am
857TAGS: tags
858
859tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
860        set x; \
861        here=`pwd`; \
862        $(am__define_uniq_tagged_files); \
863        shift; \
864        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
865          test -n "$$unique" || unique=$$empty_fix; \
866          if test $$# -gt 0; then \
867            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
868              "$$@" $$unique; \
869          else \
870            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
871              $$unique; \
872          fi; \
873        fi
874ctags: ctags-am
875
876CTAGS: ctags
877ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
878        $(am__define_uniq_tagged_files); \
879        test -z "$(CTAGS_ARGS)$$unique" \
880          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
881             $$unique
882
883GTAGS:
884        here=`$(am__cd) $(top_builddir) && pwd` \
885          && $(am__cd) $(top_srcdir) \
886          && gtags -i $(GTAGS_ARGS) "$$here"
887cscopelist: cscopelist-am
888
889cscopelist-am: $(am__tagged_files)
890        list='$(am__tagged_files)'; \
891        case "$(srcdir)" in \
892          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
893          *) sdir=$(subdir)/$(srcdir) ;; \
894        esac; \
895        for i in $$list; do \
896          if test -f "$$i"; then \
897            echo "$(subdir)/$$i"; \
898          else \
899            echo "$$sdir/$$i"; \
900          fi; \
901        done >> $(top_builddir)/cscope.files
902
903distclean-tags:
904        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
905
906# Recover from deleted '.trs' file; this should ensure that
907# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
908# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
909# to avoid problems with "make -n".
910.log.trs:
911        rm -f $< $@
912        $(MAKE) $(AM_MAKEFLAGS) $<
913
914# Leading 'am--fnord' is there to ensure the list of targets does not
915# expand to empty, as could happen e.g. with make check TESTS=''.
916am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
917am--force-recheck:
918        @:
919
920$(TEST_SUITE_LOG): $(TEST_LOGS)
921        @$(am__set_TESTS_bases); \
922        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
923        redo_bases=`for i in $$bases; do \
924                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
925                    done`; \
926        if test -n "$$redo_bases"; then \
927          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
928          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
929          if $(am__make_dryrun); then :; else \
930            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
931          fi; \
932        fi; \
933        if test -n "$$am__remaking_logs"; then \
934          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
935               "recursion detected" >&2; \
936        elif test -n "$$redo_logs"; then \
937          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
938        fi; \
939        if $(am__make_dryrun); then :; else \
940          st=0;  \
941          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
942          for i in $$redo_bases; do \
943            test -f $$i.trs && test -r $$i.trs \
944              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
945            test -f $$i.log && test -r $$i.log \
946              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
947          done; \
948          test $$st -eq 0 || exit 1; \
949        fi
950        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
951        ws='[   ]'; \
952        results=`for b in $$bases; do echo $$b.trs; done`; \
953        test -n "$$results" || results=/dev/null; \
954        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
955        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
956        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
957        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
958        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
959        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
960        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
961        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
962          success=true; \
963        else \
964          success=false; \
965        fi; \
966        br='==================='; br=$$br$$br$$br$$br; \
967        result_count () \
968        { \
969            if test x"$$1" = x"--maybe-color"; then \
970              maybe_colorize=yes; \
971            elif test x"$$1" = x"--no-color"; then \
972              maybe_colorize=no; \
973            else \
974              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
975            fi; \
976            shift; \
977            desc=$$1 count=$$2; \
978            if test $$maybe_colorize = yes && test $$count -gt 0; then \
979              color_start=$$3 color_end=$$std; \
980            else \
981              color_start= color_end=; \
982            fi; \
983            echo "$${color_start}# $$desc $$count$${color_end}"; \
984        }; \
985        create_testsuite_report () \
986        { \
987          result_count $$1 "TOTAL:" $$all   "$$brg"; \
988          result_count $$1 "PASS: " $$pass  "$$grn"; \
989          result_count $$1 "SKIP: " $$skip  "$$blu"; \
990          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
991          result_count $$1 "FAIL: " $$fail  "$$red"; \
992          result_count $$1 "XPASS:" $$xpass "$$red"; \
993          result_count $$1 "ERROR:" $$error "$$mgn"; \
994        }; \
995        {                                                               \
996          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
997            $(am__rst_title);                                           \
998          create_testsuite_report --no-color;                           \
999          echo;                                                         \
1000          echo ".. contents:: :depth: 2";                               \
1001          echo;                                                         \
1002          for b in $$bases; do echo $$b; done                           \
1003            | $(am__create_global_log);                                 \
1004        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1005        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1006        if $$success; then                                              \
1007          col="$$grn";                                                  \
1008         else                                                           \
1009          col="$$red";                                                  \
1010          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1011        fi;                                                             \
1012        echo "$${col}$$br$${std}";                                      \
1013        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1014        echo "$${col}$$br$${std}";                                      \
1015        create_testsuite_report --maybe-color;                          \
1016        echo "$$col$$br$$std";                                          \
1017        if $$success; then :; else                                      \
1018          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1019          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1020            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1021          fi;                                                           \
1022          echo "$$col$$br$$std";                                        \
1023        fi;                                                             \
1024        $$success || exit 1
1025
1026check-TESTS:
1027        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1028        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1029        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1030        @set +e; $(am__set_TESTS_bases); \
1031        log_list=`for i in $$bases; do echo $$i.log; done`; \
1032        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1033        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1034        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1035        exit $$?;
1036recheck: all $(check_PROGRAMS)
1037        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1038        @set +e; $(am__set_TESTS_bases); \
1039        bases=`for i in $$bases; do echo $$i; done \
1040                 | $(am__list_recheck_tests)` || exit 1; \
1041        log_list=`for i in $$bases; do echo $$i.log; done`; \
1042        log_list=`echo $$log_list`; \
1043        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1044                am__force_recheck=am--force-recheck \
1045                TEST_LOGS="$$log_list"; \
1046        exit $$?
1047testHeaders.log: testHeaders
1048        @p='testHeaders'; \
1049        b='testHeaders'; \
1050        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1051        --log-file $$b.log --trs-file $$b.trs \
1052        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1053        "$$tst" $(AM_TESTS_FD_REDIRECT)
1054.test.log:
1055        @p='$<'; \
1056        $(am__set_b); \
1057        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1058        --log-file $$b.log --trs-file $$b.trs \
1059        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1060        "$$tst" $(AM_TESTS_FD_REDIRECT)
1061#.test$(EXEEXT).log:
1062#       @p='$<'; \
1063#       $(am__set_b); \
1064#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1065#       --log-file $$b.log --trs-file $$b.trs \
1066#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1067#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1068
1069distdir: $(DISTFILES)
1070        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1071        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1072        list='$(DISTFILES)'; \
1073          dist_files=`for file in $$list; do echo $$file; done | \
1074          sed -e "s|^$$srcdirstrip/||;t" \
1075              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1076        case $$dist_files in \
1077          */*) $(MKDIR_P) `echo "$$dist_files" | \
1078                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1079                           sort -u` ;; \
1080        esac; \
1081        for file in $$dist_files; do \
1082          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1083          if test -d $$d/$$file; then \
1084            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1085            if test -d "$(distdir)/$$file"; then \
1086              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1087            fi; \
1088            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1089              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1090              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1091            fi; \
1092            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1093          else \
1094            test -f "$(distdir)/$$file" \
1095            || cp -p $$d/$$file "$(distdir)/$$file" \
1096            || exit 1; \
1097          fi; \
1098        done
1099check-am: all-am
1100        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1101        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1102check: check-am
1103all-am: Makefile $(LTLIBRARIES)
1104installdirs:
1105install: install-am
1106install-exec: install-exec-am
1107install-data: install-data-am
1108uninstall: uninstall-am
1109
1110install-am: all-am
1111        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1112
1113installcheck: installcheck-am
1114install-strip:
1115        if test -z '$(STRIP)'; then \
1116          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1117            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1118              install; \
1119        else \
1120          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1121            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1122            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1123        fi
1124mostlyclean-generic:
1125        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1126        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1127        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1128
1129clean-generic:
1130        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1131
1132distclean-generic:
1133        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1134        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1135
1136maintainer-clean-generic:
1137        @echo "This command is intended for maintainers to use"
1138        @echo "it deletes files that may require special tools to rebuild."
1139clean: clean-am
1140
1141clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1142        clean-noinstLTLIBRARIES mostlyclean-am
1143
1144distclean: distclean-am
1145        -rm -rf ./$(DEPDIR)
1146        -rm -f Makefile
1147distclean-am: clean-am distclean-compile distclean-generic \
1148        distclean-tags
1149
1150dvi: dvi-am
1151
1152dvi-am:
1153
1154html: html-am
1155
1156html-am:
1157
1158info: info-am
1159
1160info-am:
1161
1162install-data-am:
1163
1164install-dvi: install-dvi-am
1165
1166install-dvi-am:
1167
1168install-exec-am:
1169
1170install-html: install-html-am
1171
1172install-html-am:
1173
1174install-info: install-info-am
1175
1176install-info-am:
1177
1178install-man:
1179
1180install-pdf: install-pdf-am
1181
1182install-pdf-am:
1183
1184install-ps: install-ps-am
1185
1186install-ps-am:
1187
1188installcheck-am:
1189
1190maintainer-clean: maintainer-clean-am
1191        -rm -rf ./$(DEPDIR)
1192        -rm -f Makefile
1193maintainer-clean-am: distclean-am maintainer-clean-generic
1194
1195mostlyclean: mostlyclean-am
1196
1197mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1198        mostlyclean-libtool
1199
1200pdf: pdf-am
1201
1202pdf-am:
1203
1204ps: ps-am
1205
1206ps-am:
1207
1208uninstall-am:
1209
1210.MAKE: check-am install-am install-strip
1211
1212.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1213        clean-checkPROGRAMS clean-generic clean-libtool \
1214        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1215        distclean-compile distclean-generic distclean-libtool \
1216        distclean-tags distdir dvi dvi-am html html-am info info-am \
1217        install install-am install-data install-data-am install-dvi \
1218        install-dvi-am install-exec install-exec-am install-html \
1219        install-html-am install-info install-info-am install-man \
1220        install-pdf install-pdf-am install-ps install-ps-am \
1221        install-strip installcheck installcheck-am installdirs \
1222        maintainer-clean maintainer-clean-generic mostlyclean \
1223        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1224        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1225        uninstall-am
1226
1227.PRECIOUS: Makefile
1228
1229
1230$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1231
1232testHeaders: $(srcdir)/*.h
1233        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1234
1235.PHONY: testHeaders
1236
1237# Tell versions [3.59,3.63) of GNU make to not export all variables.
1238# Otherwise a system limit (for SysV at least) may be exceeded.
1239.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.